﻿namespace AtomicTorch.CBND.CoreMod.Items.Equipment.ApartSuit
{
    public class ItemApartSuit : ProtoItemEquipmentFullBody
    {
        public override string Description =>
            "H.E.V. suit is an advanced environmental protection armor that offers ideal combination of combat and environmental defense.";

        public override ushort DurabilityMax => 1200;

        public override bool IsHairVisible => true;

        public override bool IsHeadVisible => true;
		
        public override string Name => "HEV Suit";

        protected override void PrepareDefense(DefenseDescription defense)
        {
            defense.Set(
                impact: 0.50,
                kinetic: 0.50,
                heat: 0.65,
                cold: 0.65,
                chemical: 0.75,
                electrical: 0.70,
                radiation: 0.75,
                psi: 0.60);
        }
    }
}